Bug 816926 - Review Request: fest-util - FEST Util
Review Request: fest-util - FEST Util
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Omair Majid
Fedora Extras Quality Assurance
:
Depends On: 816264
Blocks: 816927 816962 816967
  Show dependency treegraph
 
Reported: 2012-04-27 06:17 EDT by Mario Torre
Modified: 2012-05-26 04:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-26 04:06:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
omajid: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 2 Mario Torre 2012-04-27 15:30:51 EDT
I update the spec with new dependencies:

http://neugens.fedorapeople.org/fest-utils/fest-util.spec

And the SRPM:

http://neugens.fedorapeople.org/fest-utils/fest-util-1.2.0-2.fc16.src.rpm
Comment 3 Omair Majid 2012-04-30 11:41:13 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:
fest-util.src: W: invalid-url Source0: fest-util-1.2.0.tar.bz2
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Okay.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type:
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    :ebac9e41df3631c59cdfddd78b0f9325
MD5SUM upstream package:ebac9e41df3631c59cdfddd78b0f9325

Upstream does not publish tarballs. The tarball generated from following the instructions listed in the spec file matches the tarball in the src rpm.

[!]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].

There is no BuildRequires on java-devel and Requires on java

[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[!]  Package does not contain duplicates in %files.

README.md is include in the main package and the javadoc subpackage.

[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[!]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)

The package contains a rm -rf that deletes some files in the build root after %install is completed.

[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[-]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[-]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary

There is an exact dependency on fest-common. But since they are part of the same group of packages (fest), I think it's okay.

[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on: fedora-rawhide-x86_64, fedora-17-x86_64


=== Issues ===
1. Missing BuildRequires/Requires on java-devel/java
2. README.md is included in main package and javadoc subpackage
3. Unnecessary rm -rf at end of %install


[1] https://fedoraproject.org/wiki/Packaging:NamingGuidelines
[2] https://fedoraproject.org/wiki/Packaging:Guidelines
[3] https://fedoraproject.org/wiki/Packaging:LicensingGuidelines
[4] https://fedoraproject.org/wiki/Licensing:Main
[5] https://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2 
[6] https://fedoraproject.org/wiki/Packaging:Java#Filenames
Comment 5 Omair Majid 2012-05-02 10:50:35 EDT
================
*** APPROVED ***
================
Comment 6 Mario Torre 2012-05-02 12:21:06 EDT
New Package SCM Request
=======================
Package Name: fest-util
Short Description: Utility methods used by FEST modules
Owners: neugens omajid rkennke jvanalte
Branches: f17
InitialCC: java-sig
Comment 7 Jon Ciesla 2012-05-03 09:16:09 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-05-08 05:23:32 EDT
fest-util-1.2.0-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fest-util-1.2.0-3.fc17
Comment 9 Fedora Update System 2012-05-09 12:08:24 EDT
fest-util-1.2.0-3.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2012-05-26 04:06:35 EDT
fest-util-1.2.0-3.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.